Package org.eclipse.emf.compare.match.eobject

# Class AbstractWeightProvider

java.lang.Object
org.eclipse.emf.compare.match.eobject.AbstractWeightProvider

All Implemented Interfaces:
  `WeightProvider`

Direct Known Subclasses:
  `DefaultWeightProvider`

public abstract class AbstractWeightProvider extends Object implements WeightProvider
Abstract implementation which is parameterized to set weights based on features, to ignore features and consider "name" features as more important.

Since:
  3.1.0

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.emf.compare.match.eobject.WeightProvider

`WeightProvider.Descriptor`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`MAJOR`
Quite important regarding the Object identity.
`static final int`
`MASSIVE`
Very important regarding the Object identity.
`static final int`
`NORMAL`
A normal change in an object.
`static final int`
`SIGNIFICANT`
Likely to impact the object identity.
`static final int`
`SMALL`
Something not impacting the object identity unless it adds up a lot.
`static final int`
`UNLIKELY_TO_MATCH`
It is very unlikely the elements are matching if they have differences of this magnitude.

## Constructor Summary

Constructors
Constructor
Description
`AbstractWeightProvider()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.compare.match.eobject.WeightProvider

`getContainingFeatureWeight, getParentWeight, getWeight`

## Field Details

### SMALL

public static final int SMALL
Something not impacting the object identity unless it adds up a lot.

See Also:
  - Constant Field Values

### NORMAL

public static final int NORMAL
A normal change in an object.

See Also:
  - Constant Field Values

### SIGNIFICANT

public static final int SIGNIFICANT
Likely to impact the object identity.

See Also:
  - Constant Field Values

### MAJOR

public static final int MAJOR
Quite important regarding the Object identity.

See Also:
  - Constant Field Values

### MASSIVE

public static final int MASSIVE
Very important regarding the Object identity.

See Also:
  - Constant Field Values

### UNLIKELY_TO_MATCH

public static final int UNLIKELY_TO_MATCH
It is very unlikely the elements are matching if they have differences of this magnitude.

See Also:
  - Constant Field Values

## Constructor Details

### AbstractWeightProvider

public AbstractWeightProvider()